//--------------------------------------------------------------
// File     : main.c
// Datum    : 20.12.2013
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der AM2301-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_am2301.h"

int main(void)
{
  float humidity,temperatur;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom AM2301
  UB_AM2301_Init();

  while(1)
  {
    // Daten vom AM2301 auslesen
    if(UB_AM2301_Read()==AM2301_OK)  {
      // wenn Daten lesen erfolgreich
      humidity=AM2301.humidity;
      temperatur=AM2301.temperature;
	}
  }
}

